onEvent('recipes', event => {

    const id_prefix = 'immersiveengineering:kubejs/shaped_fluid'

    const recipes = [
        /*
        {
            pattern: [ 'www', 'wbw', 'www' ],
            key: {
                w: Item.of('astralsorcery:infused_wood_planks').toJson(),
                b: fluidStack('forge:creosote', 1000)
            },
            result: '8x immersiveengineering:treated_wood_horizontal',
            id: 'immersiveengineering:crafting/treated_wood_horizontal'
        },
        {
            pattern: [ 'www', 'wbw', 'www' ],
            key: {
                w: Item.of('astralsorcery:infused_wood_planks').toJson(),
                b: fluidStack('forge:biodiesel', 1000)
            },
            result: '8x engineersdecor:old_industrial_wood_planks',
            id: `${id_prefix}/old_industrial_wood`
        }
        */
    ];

    recipes.forEach(recipe => {
        recipe.type = 'immersiveengineering:shaped_fluid';
        recipe.result = Item.of(recipe.result).toResultJson();
        event.custom(recipe).id(recipe.id);
    });
    

})